package de.oaa.xxx.games.chastity.community;

import org.springframework.data.jpa.repository.JpaRepository;
import java.time.LocalDateTime;
import java.util.List;
import java.util.UUID;

public interface CommunityTaskVoteRepository extends JpaRepository<CommunityTaskVoteEntity, UUID> {
    List<CommunityTaskVoteEntity> findByActiveTrue();
    List<CommunityTaskVoteEntity> findByActiveTrueAndExpiresAtBefore(LocalDateTime time);
    boolean existsByLockIdAndActiveTrue(UUID lockId);
}
